<html>
<head>
<title>Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11HLSLProgram.html">D3D11HLSLProgram</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html">ShaderVarWithPosInBuf</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ae32799df8656262933360e02731189b1">wasInit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ae6ea292b852a262479065940b78906c1">isFloat</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ac2db5b9477ed12e67115a8866353fc42">physicalIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#a25986130fe99c0f3e72d312d21df719c">src</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ac5bd2e87c1cf5231aee189ffa51b40f1">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">D3D11_SHADER_VARIABLE_DESC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#aa5b190c51bf446eed7a97d443fdc05ea">var</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00132">132</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae6ea292b852a262479065940b78906c1"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::isFloat" ref="ae6ea292b852a262479065940b78906c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ae6ea292b852a262479065940b78906c1">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::isFloat</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00135">135</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5bd2e87c1cf5231aee189ffa51b40f1"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::name" ref="ac5bd2e87c1cf5231aee189ffa51b40f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ac5bd2e87c1cf5231aee189ffa51b40f1">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00138">138</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac2db5b9477ed12e67115a8866353fc42"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::physicalIndex" ref="ac2db5b9477ed12e67115a8866353fc42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ac2db5b9477ed12e67115a8866353fc42">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::physicalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00136">136</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25986130fe99c0f3e72d312d21df719c"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::src" ref="a25986130fe99c0f3e72d312d21df719c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#a25986130fe99c0f3e72d312d21df719c">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::src</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00137">137</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa5b190c51bf446eed7a97d443fdc05ea"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::var" ref="aa5b190c51bf446eed7a97d443fdc05ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D3D11_SHADER_VARIABLE_DESC <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#aa5b190c51bf446eed7a97d443fdc05ea">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::var</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00140">140</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae32799df8656262933360e02731189b1"></a><!-- doxytag: member="Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::wasInit" ref="ae32799df8656262933360e02731189b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D11HLSLProgram_1_1ShaderVarWithPosInBuf.html#ae32799df8656262933360e02731189b1">Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::wasInit</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11HLSLProgram_8h_source.html#l00134">134</a> of file <a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11HLSLProgram_8h_source.html">OgreD3D11HLSLProgram.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:13
</p>
</body>
</html>
